TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsPower ( elt-ord^rat x, elt-ord^rat k ) -> elt-alg^boo, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> If x is the k-th power of an integer b, with k > 1, return true and b; otherwise return false [x > 1, k > 1]. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack